Bug 529258 - upgrade should remove duplicate and obsolete schema from 99user.ldif
Summary: upgrade should remove duplicate and obsolete schema from 99user.ldif
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall
Version: 1.3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 434914 389_1.2.3 389_1.2.4
TreeView+ depends on / blocked
 
Reported: 2009-10-15 19:24 UTC by Rich Megginson
Modified: 2015-12-07 16:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:41:26 UTC


Attachments (Terms of Use)
Proposed Patch (8.76 KB, patch)
2009-10-29 01:24 UTC, Nathan Kinder
no flags Details | Diff

Description Rich Megginson 2009-10-15 19:24:59 UTC
Due to bug 474254, the 99user.ldif may contain many schema definitions from the standard schema files, some of which are now obsolete.  Upgrade must remove duplicate and obsolete schema from 99user.ldif.

Comment 1 Nathan Kinder 2009-10-29 01:24:15 UTC
Created attachment 366526 [details]
Proposed Patch

Comment 2 Nathan Kinder 2009-10-29 02:29:27 UTC
Pushed patch from comment#1 to master (with minor typo correction in a comment).

Counting objects: 15, done.
Delta compression using 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (8/8), 2.75 KiB, done.
Total 8 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   de63856..f4eae7f  master -> master

Comment 3 Jenny Severance 2010-06-07 16:27:21 UTC
verified - RHEL 4

version:
redhat-ds-base-8.2.0-2010060704.el4dsrv

1. installed DS 8.1
2. added custom schema and duplicate defined schema from other schema file to 99user.ldif
3. upgraded to DS 8.2

After upgrade only custom defined schema existed in 99user.ldif.


Note You need to log in before you can comment on or make changes to this bug.